import React from 'react';
import { BrowserRouter as Router } from 'react-router-dom';
import { UserStateProvider } from './context/UserContext';
import Routes from './Routes';

function App(): React.ReactElement {
  return (
    <UserStateProvider>
      <Router>
        <Routes />
      </Router>
    </UserStateProvider>
  );
}

export default App;
